icetWallTime(3)

NAME

icetWallTime -- timer function

Synopsis

#include <IceT.h>

IceTDouble icetWallTime( | void | )

Description

Retrieves the current time, in seconds. The returned values of icetWallTime are only valid in relation to each other. That is, the time may or may not have anything to do with the current date or time. However, the difference of values between two calls to icetWallTime is the elapsed time in seconds between the two calls. Thus, icetWallTime is handy for determining the running time of various subprocesses. icetWallTime is used internally for determining the values for the state variables ICET_BUFFER_READ_TIME, ICET_BUFFER_WRITE_TIME, ICET_COLLECT_TIME, ICET_COMPARE_TIME, ICET_COMPOSITE_TIME, ICET_COMPRESS_TIME, ICET_RENDER_TIME, and ICET_TOTAL_DRAW_TIME.

Return Value

The current time, in seconds.

Errors

None.

Warnings

None.

Bugs

None known.

Copyright

Copyright (C)2003 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetGet(3)